Debian Bug report logs - #395839
busybox: IPv6 support for busybox wget

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Frans Pop <elendil@planet.nl>

Date: Sat, 28 Oct 2006 02:48:07 UTC

Severity: wishlist

Tags: d-i, ipv6, patch, upstream

Found in version busybox/1:1.1.3-3

Fixed in version busybox/1:1.9.2-2

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.busybox.net/view.php?id=2764

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#395839; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: submit@bugs.debian.org
Subject: busybox: IPv6 support for busybox wget
Date: Sat, 28 Oct 2006 04:30:29 +0200
[Message part 1 (text/plain, inline)]
Package: busybox
Version: 1:1.1.3-3
Severity: wishlist
Tags: d-i, patch

The attached patch, written by Jaap Eldering during some Debian BSPs for 
Etch in Utrecht, adds IPv6 support to busybox wget.
This is wanted to support new installations over IPv6 using Debian 
Installer.

Please review the patch and, if it looks OK, forward it upstream.
I'm not entirely sure if the patch is completely finished, but it has 
allowed the author to actually use wget over IPv6.

Below are some comments from the author of the patch.

<snip>
During yesterday evening's Bugsquashing "afterparty" I looked again
into this IPv6 stuff and made some progress: I got busybox wget to
download stuff over IPv{4,6} with http and ftp. Only thing is that it
didn't graciously fallback to IPv4 when a host (ftp.surfnet.nl)
rejected a connection on IPv6 ftp.

I fixed a bug in my code from last time, where the parameter passed to
'connect' indicating the size of the 'sockaddr *' struct was not
correct for IPv6 addresses.

Furthermore I cloned the two functions 'xconnect' and 'bb_lookup_host'
to 'xconnect2' and 'bb_lookup_host2' which take a pointer to a struct
of a IPv4 _and_ IPv6 address, to facilitate the possibility of
fallback at connect time.

The diff to Debian patched busybox-1.1.3-3 sources is again attached.
I'll probably try to fix this fallback behaviour in the next week or
so, but I'm not sure that I have time. If it is urgent to get this
into the etch installer, please let me know. The changes to the
functions 'xconnect' and 'bb_lookup_host' might better be dropped to
prevent bugs in other applets using those.

[...]

Another update, I think the last for the moment.

I found that ftp over IPv6 didn't work correctly because passive ftp
(which busybox wget uses) is implemented slightly different than over
IPv4. This patch makes wget handle the port switch correctly for IPv6
too. Furthermore I renamed the combined IPv{4,6} struct to
'sockaddr_in4_in6' to make things more clear.
</snip>

[busybox_1.1.3-3-ipv6-5.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#395839; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Jaap Eldering <eldering@phys.uu.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #10 received at 395839@bugs.debian.org (full text, mbox):

From: Jaap Eldering <eldering@phys.uu.nl>
To: 395839@bugs.debian.org
Date: Sat, 28 Oct 2006 12:17:47 +0200
[Message part 1 (text/plain, inline)]
Just to report in as the original author of the patch.

If there are any questions regarding it, feel free to contact me.

Jaap
[signature.asc (application/pgp-signature, inline)]

Tags added: ipv6 Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Sun, 03 Feb 2008 11:06:06 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 15:33:05 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugs.busybox.net/view.php?id=2764. Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 15:33:05 GMT) Full text and rfc822 format available.

Reply sent to Peter Eisentraut <peter_e@gmx.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 395839-done@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: 395839-done@bugs.debian.org
Subject: Re: Bug#395839: busybox: IPv6 support for busybox wget
Date: Fri, 4 Apr 2008 08:41:24 +0200
Upstream says this is fixed "many versions ago".




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#395839; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #26 received at 395839@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: Peter Eisentraut <peter_e@gmx.net>
Cc: 395839@bugs.debian.org
Subject: Re: Bug#395839: marked as done (busybox: IPv6 support for busybox wget)
Date: Fri, 4 Apr 2008 10:36:29 +0200
[Message part 1 (text/plain, inline)]
On Friday 4 April 2008 08:45, Debian Bug Tracking System wrote:
> Upstream says this is fixed "many versions ago".

Well, Debian lenny still has a version that is "many versions ago", so this 
bug is not done for lenny. I think it would be more appropriate to close it 
with the applicable version so we know whether lenny is affected or not.


thanks,
Thijs
[Message part 2 (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Fri, 04 Apr 2008 09:12:32 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1:1.9.2-2, send any further explanations to Frans Pop <elendil@planet.nl> Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Fri, 04 Apr 2008 09:12:49 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 May 2008 07:53:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:06:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.